public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-admin/pulumi-bin/
Date: Tue,  4 Jul 2023 04:53:37 +0000 (UTC)	[thread overview]
Message-ID: <1688337166.620ff7ed88ff6166d5da7a48dd452bce916cf8b9.ceamac@gentoo> (raw)

commit:     620ff7ed88ff6166d5da7a48dd452bce916cf8b9
Author:     Alexey Zapparov <alexey <AT> zapparov <DOT> com>
AuthorDate: Sun Jul  2 22:32:46 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sun Jul  2 22:32:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=620ff7ed

app-admin/pulumi-bin: add 3.74.0

Signed-off-by: Alexey Zapparov <alexey <AT> zapparov.com>

 app-admin/pulumi-bin/Manifest                 |  1 +
 app-admin/pulumi-bin/pulumi-bin-3.74.0.ebuild | 38 +++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/app-admin/pulumi-bin/Manifest b/app-admin/pulumi-bin/Manifest
index e761d233e..7dbe4f191 100644
--- a/app-admin/pulumi-bin/Manifest
+++ b/app-admin/pulumi-bin/Manifest
@@ -2,3 +2,4 @@ DIST pulumi-v3.71.0-linux-x64.tar.gz 143298397 BLAKE2B 2230588b540ea548bf2a1367e
 DIST pulumi-v3.72.0-linux-x64.tar.gz 141979717 BLAKE2B 9cd736772cf1d1b69eef8e360979108b12fa39420eda22691de07a60b91e2fc815ae8540067984d419b6ff320d41c02eec3259c30a7dedde86d06e3ffb391c1d SHA512 59a46787fa452f38f021c4cf7fd56e66aba8f35c6b08d2ae96bbb34c7eca981940f81336df9a80a211f464e9fd7244aec4afb007008a3723ac6a18e83c5b12f4
 DIST pulumi-v3.72.2-linux-x64.tar.gz 143301739 BLAKE2B e79d9a5dda71782c61a6bd02b5b64b0f042d1427c71c83e3878cdc5927d0d0ace628947da88486b232ebf835f25a5e598368cac4d8e11ac8a89f439941ac520e SHA512 374914b7df54718ef2f03ac9564bfcca042f40220c428b091d67377f119905e7a1b3dee6b3b15faee1be74b35c55be02f9d67ebec85f56255732a86f9ff4b837
 DIST pulumi-v3.73.0-linux-x64.tar.gz 143303347 BLAKE2B fbc786dac43056545dafc7e99950fa6bcc2258779adcd18d012fc351e88f9f29ce700155c1d09221d13500e8d70f0e9c70641d5332bed91dcd3699e87b44a811 SHA512 a084b7d83e83be595b7ba37e95ba12466cdfef66c4afcd9ff00071d212bcdc8810c9a3cec669db7dd0d8ec952d57e0f7b6ddb835ad06c2f8917cc1fb57a9f43f
+DIST pulumi-v3.74.0-linux-x64.tar.gz 143408310 BLAKE2B 8da70b0aae12b4adae556aa769b82348f54d40d8ac50002074caac74873d63cc0155a126abdad715da83bedb36e92f8e40a05a712335ae16b54d4c094696f751 SHA512 8e5e12a4c210601d7290a21e65b6860fa3980af2c67248aa6c1ba3a55441d9b7165686d7eec2c0029832dcc62715fcffef47d8d308069e6ebea386e992567ded

diff --git a/app-admin/pulumi-bin/pulumi-bin-3.74.0.ebuild b/app-admin/pulumi-bin/pulumi-bin-3.74.0.ebuild
new file mode 100644
index 000000000..8e5eb8e90
--- /dev/null
+++ b/app-admin/pulumi-bin/pulumi-bin-3.74.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1
+
+DESCRIPTION="Infrastructure as code in any programming language"
+HOMEPAGE="
+	https://www.pulumi.com/
+	https://github.com/pulumi/pulumi
+"
+SRC_URI="
+	amd64? ( https://github.com/pulumi/pulumi/releases/download/v${PV}/pulumi-v${PV}-linux-x64.tar.gz )
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+S="${WORKDIR}/pulumi"
+
+QA_PREBUILT="*"
+
+src_install() {
+	dobin pulumi*
+
+	./pulumi gen-completion bash > pulumi.bash-completion || die "Cannot generate bash completions"
+	newbashcomp pulumi.bash-completion pulumi
+
+	./pulumi gen-completion zsh > pulumi.zsh-completion || die "Cannot generate zsh completions"
+	insinto /usr/share/zsh/site-functions
+	newins pulumi.zsh-completion _pulumi
+}


             reply	other threads:[~2023-07-04  4:53 UTC|newest]

Thread overview: 66+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-04  4:53 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-17  9:41 [gentoo-commits] repo/proj/guru:master commit in: app-admin/pulumi-bin/ David Roman
2025-01-11 23:38 Julien Roy
2024-12-23  3:28 Rui Huang
2024-12-04 14:56 David Roman
2024-11-23  1:02 Julien Roy
2024-11-20 13:05 David Roman
2024-11-19  8:59 Julien Roy
2024-11-08 10:23 David Roman
2024-10-19  0:05 David Roman
2024-10-09 15:39 David Roman
2024-10-03  9:43 Andrew Ammerlaan
2024-09-19 12:13 David Roman
2024-09-06  8:52 David Roman
2024-08-28 10:57 David Roman
2024-08-13 19:56 David Roman
2024-08-07 23:36 Lucio Sauer
2024-07-26 20:29 David Roman
2024-07-10 23:52 Haelwenn Monnier
2024-06-25  9:52 David Roman
2024-06-04 16:06 Viorel Munteanu
2024-05-08 12:16 David Roman
2024-04-28 21:05 David Roman
2024-04-18 10:26 David Roman
2024-04-04 10:09 Florian Schmaus
2024-03-23 13:16 Julien Roy
2024-03-15  7:10 Rui Huang
2024-03-15  7:10 Rui Huang
2024-03-11 17:31 David Roman
2024-03-02  7:10 Arthur Zamarin
2024-02-23 23:40 Julien Roy
2024-02-17  2:40 Rui Huang
2024-02-13 16:32 David Roman
2024-01-26 10:35 David Roman
2024-01-19 10:31 Arthur Zamarin
2024-01-11 11:57 David Roman
2023-12-14 22:21 David Roman
2023-11-21 15:05 David Roman
2023-11-09  3:11 Haelwenn Monnier
2023-10-28  1:15 David Roman
2023-10-26  1:24 Haelwenn Monnier
2023-10-21 11:08 David Roman
2023-10-10 15:41 Haelwenn Monnier
2023-09-28 10:01 David Roman
2023-09-09 12:26 David Roman
2023-09-03 12:27 Haelwenn Monnier
2023-09-03 12:27 Haelwenn Monnier
2023-08-29  5:39 Viorel Munteanu
2023-08-12 16:31 David Roman
2023-08-12 16:31 David Roman
2023-08-07 12:51 David Roman
2023-08-07 12:51 David Roman
2023-08-02 16:30 Florian Schmaus
2023-07-23 14:07 David Roman
2023-07-23 14:07 David Roman
2023-07-16 19:46 Haelwenn Monnier
2023-07-13  9:42 David Roman
2023-07-04  4:53 Viorel Munteanu
2023-07-04  4:53 Viorel Munteanu
2023-06-26 11:24 Andrew Ammerlaan
2023-06-17  7:03 Viorel Munteanu
2023-06-17  7:03 Viorel Munteanu
2023-06-15  9:33 Florian Schmaus
2023-06-11 11:47 Viorel Munteanu
2023-06-11 11:47 Viorel Munteanu
2023-05-29 20:57 Florian Schmaus

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1688337166.620ff7ed88ff6166d5da7a48dd452bce916cf8b9.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox